Flexible Fixturing for PC-DMIS

Introduction

What Are Fixtures?

W hat is a Fixturing System?

Fixturing System Setup

Importing Data from Legacy DEA Systems

Flexible Fixturing Properties

Flexible Fixturing Global Settings

Creating and Positioning Fixture Columns in PC-DMIS

To Create a New Fixture Definition

To Specify Fixture Points

To View or Modify an Existing Fixture Definition

To Delete a Fixture Definition

To Verify a Fixture Definition

To Position Fixture Elements on the Part

Graphics Display for Flexible Fixturing

Troubleshooting Column Placement

Flexible Fixturing Setup in PC-DMIS

Fixturing Setup: Volume Definition

Fixturing Setup: Mount Points

Fixturing Setup: Display Options

Fixturing Setup: Hole Pattern

C alibrating Fixture Components in PC-DMIS

Fixturing Setup for Dual Arm Systems

Setup Dual Arms with Fixturing System Setup Properties

Setup Dual Arms with Fixturing Setup Dialog Box


Flexible Fixturing: Introduction

This help file documents how to use and configure Flexible Fixturing for use with PC-DMIS. The traditional method of supporting parts for measurement requires a fixture for every part; this tends to be very expensive. Flexible fixturing is a method of creating generic building blocks that someone can use to create fixtures for a wide variety of parts at a fraction of the cost.

The main topics for Flexible Fixturing for PC-DMIS include:

  • What Are Fixtures?

  • What is a Fixturing System?

  • Fixture System Setup

  • Creating and Positioning Fixture Columns in PC-DMIS

  • Flexible Fixturing Setup in PC-DMIS

  • Calibrating Fixture Components in PC-DMIS

  • Fixturing Setup for Dual Arm Systems

Be sure to use this help file in conjunction with the main " PC-DMIS Help file " if you come across something in the software that isn't covered here.


What Are Fixtures?

Fixtures are holding devices for manufactured parts. They are used often in the automotive industry. Fixtures hold a part in the orientation that it is going to fit once it is on the car itself.

Graphical Example of five Flexible Fixtures Holding a Car part

For example, a car door might have a fixture that holds a door at the hinge locations and then also at the latch on the other side. The door is placed in this holding device on the CMM and then it is inspected.

There are basically two parts used to create each flexible fixture.

  1. The column: There may be several different sizes that are used to handle the different areas within the workspace.

  2. The module which fits on top of the column: These can be created from the standard set supplied by the manufacturer or they can be custom designed to fit your specific needs. Many modules include clamps that hold the part to the module.

The end effector is an artifact placed against the part to hold it stationary in at least one axis. Typically this is a sphere with a defined diameter. Spheres are used because they will only contact the part at a single location. Other types of end effectors can be pins (for mating holes), cylinders for locating edges, and specialty pieces specifically tailored to the part being held by the fixtures.

The module is usually a cube with some geometry that is created in a specific way to contact the part in a predefined location.

See the graphical example below.

Graphical representation of the flexible fixture unit.

When you create a new module it gets saved to a file with the same name as the module with a .module extension. This makes module definitions reusable and distributable. Saved modules are then listed in the Modules section of the Fixture Properties dialog box (See Fixture Properties - Modules)

PC-DMIS supports both manual and DCC Flexible Fixturing systems with a single interface.

PC-DMIS 3.6 and higher uses a separate application called the Fixture Server Interface to actually define your fixture system, specify the parameters of your CMM, initialize the rack holding the columns, and monitor the status of your fixture system. See the “Fixturing System Setup” section for more information.

See the "Creating and Positioning Fixture Columns in PC-DMIS" topic for information on the process of creating and positioning the fixture columns.

Important: You must have the 5 Unique option programmed to work with Manual Fixturing systems. To check if these modules are available select the Help | About PC-DMIS for Windows menu option and from the dialog box that appears, view the items in the Modules list.


What is a Fixturing System

Current Help System: PC-DMIS Fixturing (View Core Help)

What is a Fixturing System?

The Fixturing System is comprised of three different elements: Fixture System, Fixture Definition, & Fixture Instance.

  • The Fixture System consists of the CMM, and columns and modules of the DCC or Manual fixturing system. The rack systems and the number of columns vary depending on the needed configuration. The Fixture System doesn't really concern itself with specific fixtures, rather with the components that make up its system.

  • The Fixture Definition is a file listing points in part coordinates and requested modules that correspond to those specific points. The fixture definition is machine and system independent so it can be ported to any machine and any fixture system (manual or DCC). There is no relation with the fixture definition and any machine. The Fixture Definition could be on a central computer that is accessed by several different Fixture Servers. Deleting the definition from within the fixture server, will only delete the definition, and will not affect the status of the machine.

  • The Fixture Instance is the specific instance of the Fixture Definition on a given Fixture System. This element only exists in memory long enough to load or unload a given fixture definition. This links the generic Fixture Definition to a specific Fixture System. The Fixture Instance is not saved but recreated every time a fixture is executed, either for load or unload. Part program commands only affect the system when they are executed.

Important: Editing your part program does not affect the status of a machine unless you specifically cause changes to be made. For example, if you delete a LOADFIXTURE command from the part program the status of the machine is not affected. However, If you want to physically remove the fixture from the plate of the machine and delete it from the part program, then you must first execute the same LOADFIXTURE command with the UNLOAD flag and then delete the LOADFIXTURE command from the part program.


Fixturing System Setup

Fixture Interface Server is a stand-alone program that allows you to setup your Flexible Fixturing system. The Properties and Global settings define the position and relation of your Flexible Fixturing system for use with PC-DMIS.

To execute the Fixture System Setup double-click on fxtserverinterface.exe file in the PC-DMIS directory, or click on the Start | Programs | PCDMIS (version) | Fixture Interface Server menu item. The Fixture Interface Server must be run upon first installation. This opens the main dialog box of the Fixture Interface Server.

For more information on setting up Dual Arm systems see the “Fixturing Setup for Dual Arm Systems” topic.

Fixturing System Setup dialog box – No system defined

Note: The first time you enter the Fixture Server Interface application, a fixturing system has not been selected.

More:

Selecting the System

Opening and Saving your Fixture Definition

Importing Data from Legacy DEA Systems

Fixture Server Connection

Flexible Fixturing Properties

Flexible Fixturing Global Settings


Selecting the System

Select the File | Set System menu option to open the Select System dialog box.

Select System dialog box

Select the correct System from the available systems in the list box. Select the Number of Arms and the Machine Type (Horizontal or Bridge) from the associated drop-down list boxes. Click OK when finished.

Based upon the system and the options that were chosen, the Fixturing System Setup dialog box opens and reflects those changes.

Fixturing System Setup dialog box – System selected


Opening and Saving your Fixture Definition

Click File | Open and browse to the location of an pre-existing Fixture Definition. Select the file (with a .dat extension) and click Open. Once the file is opened, then Fixturing system should be ready for use with PC-DMIS.

Click File | Save or Save As to save the current Fixture Definition. This should be done once you have completed the configuration of your current Fixturing system. This file can be saved and used on a different system. The default location for the fixture definition is c:\fixture\fxtserver.dat.


Importing Data from Legacy DEA Systems

The capability exists to import the legacy DEA Fixturing Systems for use with PC-DMIS. You can import for Five NT (DCC) or Five Unique (Manual) systems.


Five NT

Five NT dialog box

The Five NT dialog box allows you to specify the files that define the System V (DCC) fixturing files that you want to import. Follow these steps to import fixturing files:

  1. Select the File | Import | Five NT menu option to import DCC fixturing system data.

  2. Browse to the Directory of old Five NT Files to import to specify the path of the Five NT file that you want to import.

  3. Browse to the Directory of COSTAN.dat for Five NT to specify the location of the COSTAN,dat file to be used with Five NT.

  4. Select the need file(s) from the Existing Five NT files list box. This list box displays the available files to import the need DCC fixturing systems.

  5. Click the Import button to import the selected files.

The imported system is now ready to be configured and used with PC-DMIS.


Five Unique

5Unique Fixture and Modules dialog box

The 5 Unique Fixture and Modules dialog box allows you to specify the files that define the 5 Unique (Manual) fixturing files that you want to import. Follow these steps to import fixturing files:

  1. Select the File | Import | Five Unique menu option to import manual fixturing system data.

  2. Click the Folder button to browse to the Directory of the files that define your fixturing system.

  3. Select the needed file(s) from the Fixture List box.

  4. Click on the Module names in the Imported Modules list to review the module offset values and diameter.

  5. Click the Import button to import the selected files.

The imported system is now ready to be configured and used with PC-DMIS.


Fixture Server Connection

For a system setup with more than one arm it is required to provide connection information to the Fixture Server. Clicking the Settings | Connection menu option opens the connection Properties dialog box.

Connection Properties dialog box

Settings to establish a connection to the Fixture Server include:

  • Remote Computer: Provide the TCTP/IP address for the Fixture Server computer.

  • User: Provide a valid user name.

  • Password: Provide the password for the User name

  • Domain: Specify the Domain in which the computer resides if needed.

  • Connect as local server: If you choose, you can also connect to the Fixture Server on a local host (same computer). In this case, no connection information is needed, since you are already connected.


Flexible Fixturing Properties

The Fixture Properties dialog box displays properties that are relevant to the option selected from the options tree on the left hand side of the dialog box. For example, selecting Arm 1 will show properties for that arm.

Click on the Properties button from the Fixturing System Setup dialog box to access the Fixture Properties dialog box.

Fixture Properties dialog box

There are two methods to access the properties for each set of options:

  1. Select the fixture option from the options tree and then select the needed item of that type from the list box to the right. Click the Properties button to open the Properties dialog box.

  2. Select the + symbol next to the fixture option to expand the tree and select the needed item of that type. The properties for that item will be displayed to the right.

More:

Fixture Properties – Arms

Fixture Properties - Exclusion Zones

Fixture Properties - Columns

Fixture Properties - Modules

Fixture Properties – Fixtures

Fixture Properties – Hole Pattern


Fixture Properties – Arms

Fixture Properties dialog box - Arms

Open properties for an Arm by clicking the Properties button or selecting it from the options tree. The Z Plate value represents the height of the base plate to which the fixturing components are attached. If the Z Plate value is known then enter it into the box, otherwise you will need to define it from the Volume Definition tab of the Fixturing Setup dialog box using the CMM to take a hit for the Z Plate. See “Fixturing Setup: Volume Definition” for more information on how this is done.

More:

Arm Properties


Arm Properties

Current Help System: PC-DMIS Fixturing (View Core Help)

Arm Properties

Fixture Properties dialog box - Arm Properties

The Properties for arms are set in the Properties dialog box.

  • Arm Offsets vs Arm1: Defines the location of the given arm in relation to Arm1 coordinates. For example, Arm2 measures the center of a sphere as (X2,Y2,Z2), while Arm 1 will read (X1,Y1,Z1) the arm offset will be (X2-X1,Y2,Y1,Z2-Z1). In the case of Arm1the coordinate values will always be (0.0, 0.0, 0.0), since this is the relationship of Arm1 to itself.

  • Mount Point: This provides a clearance position where the machine arm can safely be moved to, after positioning one or all the columns of a fixture.

  • Gripper Mount Point: Defines the location where the locator can be safely removed or attached in the case of a manual system.

  • Gripper Offsets: Defines the values of the gripper offsets after calibration. The gripper offset is treated the same as a probe offset. The center of the gripper is hereby linked to the machine.

  • Safe Move: This specifies the XYZ location that the machine will move to. If you choose to insert intermediate moves, this helps to eliminate collisions in your fixturing sequence. Click the Use Safe Move check box to enable safe moves.

  • Probe Angles - Safe A & B: Defines the clearance position of the wrist, when the gripper is enabled.

  • Probe Angles - Measure A & B: Defines the measuring position of the wrist, when the gripper is disabled.

  • Fixture Volume: Defines the Min and Max values for the fixture volume in terms of XY coordinates. The Approach in negative Y option is used for the slave arms of a master-slave system. Reversing the direction that the slave machine approaches may be needed to cause the machine to move in the correct direction.

  • Click Apply to apply the changes that have been made for this Arm.

  • Click OK when finished making changes for all Fixture Properties.


Fixture Properties - Exclusion Zones

Fixture Properties dialog box - Exclusion Zones

Open properties for an Exclusion Zone by clicking the Properties button or selecting it from the options tree. Click Add to define a new Exclusion Zone. Click Remove to remove selected exclusion zones from the list box.

More:

Exclusion Zone Properties


Exclusion Zone Properties

Current Help System: PC-DMIS Fixturing (View Core Help)

Exclusion Zone Properties

Properties dialog box - Exclusion Zone

Exclusion Zones define the XY fixturing area where no measurement activity should be performed. For example, the area that is occupied by equipment such as a tool changer should be excluded to avoid collisions in that area. The 2D XY zone is extended infinitely in the Z+ and Z- directions.

  • Name: The default name may be used or changed to name of your choice.

  • Origin: Defines the XY coordinates of the corner of the defined area.

  • Size: The first value represents the X dimension, while the second value represents the Y dimension.

  • Type: Either a Rectangular or Circular area may be defined. For a circular area, the center and the radius of the area are defined.

  • Click Apply to apply the changes that have been made for this Exclusion Zone.

  • Click OK when finished making changes for all Fixture Properties.


Fixture Properties - Columns

Fixture Properties dialog box – Columns

To Add or Remove Columns, select Columns from the options tree and the available columns will be displayed in the list box on the right. The Columns in the list box are displayed with the following format:

Name : Type (e.g. c501 : CF50)

  • Click Add to add a new column of the selected Type and specified Name. A default name will be added based upon the column type if a name is not specified.

  • Click Remove to remove selected columns from the list box.

  • Click Add Multi and specify the number (N) of needed columns in the text box below. Columns will be added to the list box for the selected Type and named based upon the type plus the sequence from 1 to N. For Example, with C50- in the Name box and 3 in the textbox below Add Multi, three columns are defined. They are named C50-1, C50-2, & C50-3 respectively.

  • Click Reset All to remove all of the columns from the internal structures and allows all columns to be available for later use. You will need to manually remove the columns from the list. A prompt is given to ensure that you want to reset all columns.

  • Click Apply to apply the changes that have been made for Columns.

  • Click OK when finished making changes for all Fixture Properties.


Fixture Properties - Modules

Fixture Properties dialog box - Modules

Open properties for a Module by clicking the Properties button or selecting it from the options tree. Click Add to define a new Module with the name that is specified in the text box below. The Add button is grayed out, until something is typed in the textbox. Click Remove to remove selected modules from the list box.

More:

Module Properties

To Create a Custom CAD Model


Module Properties

Current Help System: PC-DMIS Fixturing (View Core Help)

Module Properties

Properties dialog box – Module

The Module Properties dialog box allows for the location, sphere size and CAD files of the module to be specified.

  • Module Name box – This box shows the name given to the module. It identifies the module when you create a fixture.

  • XYZ boxes – These boxes determine the measured offsets of the module from the column sphere center to the contact point (or if the contact point on the module is a sphere, to the center of that sphere). The end point of the module is either the center of the module sphere, if any, or any point that has been defined on or outside the module itself, in the case of a “netpad” module.

  • Sphere check box – This check box determines whether or not the point of contact on the module is a sphere.

  • Sphere box – With the Sphere check box selected this box determines the diameter of the "point of contact" sphere.

  • Uses CAD check box – This check box determines whether or not PC-DMIS should associate a custom CAD model with the this module for display in the Graphics Display window. To create a custom CAD model, see the "To Create a Custom CAD Model" topic. If you select this check box you will need to specify the CAD name in the Uses CAD box.

  • Uses CAD box – Browse to the location of the CAD file that you are using to represent this module. The selected file will be added to the box. See the “To Create a Custom CAD Model” topic for information on creating a CAD file that can be used with PC-DMIS.

  • Click Apply to apply the changes that have been made for this Module.

  • Click OK when finished making changes for all Fixture Properties.


To Create a Custom CAD Model

Current Help System: PC-DMIS Fixturing (View Core Help)

To Create a Custom CAD Model

  1. Create a new part program.

  2. Import the model via one of the standard PC-DMIS import options (i.e. IGES, STEP, etc.).

  3. Save the part program. PC-DMIS creates a .CAD file with the same name as the part program in the same directory as the part program file.

  4. Rename this file to anything you like.

  5. Place this file in a directory of your choice to be used later.


Fixture Properties – Fixtures

Fixture Properties dialog box - Fixtures

The Fixtures section allows you to Rename or Remove a selected fixture. Information regarding the Creator, number of Points, and Description of the Fixture can also be viewed.

  • Click Remove to remove the selected fixtures.

  • Click Rename to rename the selected fixture to the name that is typed in the text box below.

  • Click Apply to apply the changes that have been made for Fixtures.

  • Click OK when finished making changes for all Fixture Properties.


Fixture Properties – Hole Pattern

Properties for hole patterns are specified for Manual (Mechanical) Systems. For more information on defining the hole pattern for your fixturing system see “Fixturing Setup: Hole Pattern:”


Flexible Fixturing Global Settings

Click on the Globals button to access the Global Settings dialog box.

Global Settings dialog box

The items listed under Common represent all of the settings relative to the set system. The items listed under each Arm are setting that are relative to the each of the arms.

Click the + sign next to Common or the specific Arm to expand the option tree under that category. To edit the values for each of the global settings, click in the value box and edit the value to the required value. Once you are satisfied with the above settings, Click OK to close the Global Settings dialog box.

More:

List of Global Settings for Manual Machines

Monitoring the Fixture System Status


List of Global Settings for Manual Machines

  • Fixture Location: Path where you want that the fixture files (.ext.&.fxt ) be saved.

  • Module Location: This specifies the full path of the location where modules will be saved.

  • Status Location: Location where the fixture data file is saved.

  • Standby Values for automatic standby:

  • Create Standby Command(0/1)

  • Optional Settings

  • Standby Plane

    • XY for vertical

    • ZX for robots

  • Common Axis convention:

    • 0 = Convention for Horizontal CMM (default)

    • 1 = Global with common axis


Monitoring the Fixture System Status

Click on the Monitor button of the Fixturing System Setup dialog box to view the status of the Fixturing system. This opens a Monitor window that provides a 2D view and textual values of what is happening on the machine.

Monitor View and Monitor Settings.

Information about the columns, plates, exclusion zones, etc. is provided. Each column type within the 2D view is displayed with a different color. If you hover your mouse over a column, in the 2D view, the column type is displayed. The values section provides a list with the updated information for all the columns (type, name, position) is shown. You can either scroll through the list with the scroll bar, or click the >> button to browse through the column information

To indicate what and how items are displayed click the Properties button to open the Monitor Settings dialog box. From this dialog box you can specify the following:

  • Viewed Fixturing Items – Select whether or not items are displayed (yes – 1, no – 2 ). You can choose to display information about Fixture Limits, Exclusion Zones, Columns, Labels, the Rack, or Holes in the Values section. You can also specify if Column Tool Tips are displayed in the Monitor Window.

  • Cols Count – This value determines how many columns will be displayed. You cannot edit this value.

  • Axis Convention – This defines the correct axes convention for vertical CMMs only.

  • Timer – This value determines the time in terms of seconds that fixturing information is updated to the Monitor view.

Important: Be aware that updating this information to the monitor view is a time consuming process. Therefore consideration should be given to the time value that is provided.


Creating and Positioning Fixture Columns in PC-DMIS

Once you have defined your Flexible Fixturing system and the type of column to use, you can create and then position your fixture columns in PC-DMIS.

The Display Menu Roadmap Insert | Hardware Definition | Fixture menu option opens the Create / Modify Fixtures dialog box.

Create / Modify Fixture dialog box

The Create/Modify Fixture dialog box allows you to create and correctly position the columns so that they connect with the part. If you click OK or Apply after loading or creating a fixture, PC-DMIS inserts a LOADFIXTURE command into your part program. This command loads and uses the selected fixture definition.

For a description of flexible fixturing and for information on setting fixturing preferences, see the "Fixturing System Setup" topic.

Before creating and positioning a fixture in PC-DMIS, you must first define a probe that matches what will be on the machine where you will use the fixture. Once the LOADPROBE and TIP commands are in the Edit window, you can create fixtures.

The Fixture Points tab allows you fully define and deploy a fixture. With this tab you can create and manage fixture definitions and position fixture columns so they can be used to properly hold your part for proper measurement.

A standard fixture definition contains this information:

  • Fixture Name

  • Fixture contact point locations (XYZ and IJX values)

  • Feature Type

  • Module offset type and information

  • Column Name

  • Fixture creation and modification date and author information

  • Machine orientation

Use this dialog box to perform the procedures in the topics below:

The following procedure is used to edit the parameters for each fixture point. Left click to select point and then Right click anywhere on the highlighted line to get the properties for the selected point.

Properties for fixture points:

  • Find vector with modification preview dialog/info

  • Flip vector

  • Show in CAD

  • Select/Remove for reposition, (F3) toggle

  • Delete point

  • Module properties

Important: You must have the 5 Unique option programmed to work with Manual Fixturing systems.

More:

To Create a New Fixture Definition

To Specify Fixture Points

To View or Modify an Existing Fixture Definition

To Delete a Fixture Definition

To Verify a Fixture Definition

To Position Fixture Elements on the Part

Graphics Display for Flexible Fixturing

Troubleshooting Column Placement

Recovering Fixture Columns


To Create a New Fixture Definition

  1. To create a new fixture, select the Display Menu Roadmap Insert | Hardware Definition | Fixture menu option to access the Create/Modify Fixture dialog box.

  2. Click New to open the New Fixture dialog box.

  3. Type a name in the Name box for the new fixture.

  4. Type your name or operator number in the Created By box.

  5. Type a Description for the new fixture.

  6. Click OK. Your fixture definition gets created and added to the Available list.

  7. Define each of the fixture points by filling out the information in the Points area. See "To Specify Fixture Points" below.

  8. Once you have finished adding all of the fixture points, specify the machine's XYZ axes that match the CAD model's XYZ axes. You can do this by selecting the axes from the CAD +X = Machine, CAD +Y = Machine, and CAD +Z = Machine lists from the Machine Orientation area.

  9. For each CAD axis, specify the appropriate offsets in the X Offset, Y Offset, and Z Offset boxes. The offsets are based on the machine's home position. If you don’t know a specific offset to use, click the Center button and PC-DMIS calculates the offsets for you. These calculated offsets will allow you to place your part in the center of the machine volume.

  10. Once you have defined all of the elements of the fixture, save your changes by clicking the Apply button. This saves the fixture definition to the server and verifies your fixture to make sure it is legal on your machine.

The Apply button updates the part program and the Graphics Display window with the fixture. This differs from the Save button which tells the fixture server to save the fixture data to disk. You might use the Save button if you were just creating a bunch of fixtures and didn’t necessarily want them in the part program.


To Specify Fixture Points

PC-DMIS lets you to specify locations on your part where the end effector of the fixture contacts with the part. These are called fixture contact points. You can either select a point location by clicking on a feature with your mouse, or you can manually type in the point's location.

These fixture points are treated as auto features, and the rules governing auto feature usage and creation apply here as well. For information on how to measure these feature types see the appropriate auto feature in the "Creating Auto Features" section of the core PC-DMIS help file. For example, if you are going to hold the fixture onto the part using a fixture's pin, select Circle from the Feature list, PC-DMIS will look for three clicks on the CAD model to define the circle to which your fixture element will be attached.

To create a new fixture contact point:

  1. Type a name for the fixture point in the Name box.

  2. Specify the feature type from the Feature list. This identifies the feature type to which you will connect the fixture. The available feature types include:

    • Surface Point

    • Edge Point

    • Circle

    • Square Slot

    • Round Slot

    • Notch Slot

Note: If you don't specify a feature type, PC-DMIS assumes you will be selecting surface points.

  3. Either click on the CAD model inside the Graphics Display window to generate a point location, or type the point's location (in part coordinates) in the first row of X, Y, and Z boxes.

  4. Specify the vector of the connection point pointing away from the surface towards the module or fixture column by filling in the I, J, and K boxes.

  5. If desired, select an existing module from the Module list. The module defines the type of geometry used on the fixture column to connect the column to the part. A display of the selected module appears in the Module Preview area. If you need to create a new module you must first create it on the Modules tab in the Fixturing Setup dialog box. See the "Fixture Properties - Modules" documentation.

Note: If you do not select a module from the Points area, PC-DMIS assumes that the part will be placed directly on the column sphere.

  6. Type the measured offsets for the selected module in the second row of X, Y, and Z boxes.

  7. If the connection point for the module is a sphere, then select the Sphere check box and type a value for the sphere's diameter in the Sphere box.

  8. Select the orientation of the module from the Module Direction list. The available orientations include:
    Front X+
    Right Y+
    Back X-
    Left Y-
    This represents the orientation direction (not necessarily location) of the module in Machine Reference System. Remember that PC-DMIS uses part coordinates for the fixture, but modules must be specified in Machine Reference System. Therefore, if the axis correspondence in the lower portion of the dialog box changes of the fixture changes, you will need to change the module orientation as well.

  9. Click the Add Points button. PC-DMIS adds the point with all its information to the points list and immediately clears the information in the Points area, allowing you to add additional points.

  10. Continue repeating this procedure until you have defined all the desired fixture points.

More:

Examples of Fixture Points in Graphics Display Window


Examples of Fixture Points in Graphics Display Window

Labels for Fixture Points

This example shows the labels for each of the added fixture points within the Graphics Display Window. To specify the information that is displayed in the Fixture Point label, select options from the Display Options tab of the Fixturing Setup dialog box. Hint: Click F12 to open the Fixturing Setup dialog box.

Labels for Fixture Points with all Point Information


To View or Modify an Existing Fixture Definition

  1. Select the Display Menu Roadmap Insert | Hardware Definition | Fixture menu option to access the Create/Modify Fixture dialog box.

  2. Select the Fixture Points tab.

  3. Select a fixture definition from the Available list. This list contains all existing fixture definitions on the fixture server. Information for the selected fixture definition appears in the Fixture Points tab and PC-DMIS inserts the current date into the Modification Date box.

  4. Make modifications to the dialog box as needed. If you need to edit a point, select the point name in the list and its information will be displayed in the Points area. The Add Point button now reads Save Point. Change the point information as needed and then click the Save Point button. The information in the list will be updated with the new data. To delete a selected point, click the Delete Point button.

  5. If desired, input your name or operator ID in the Modified By box in the Fixture area. This provides a handy way for others to see who last modified the fixture.

  6. Click the Apply button. PC-DMIS updates the fixture definition on the server. As discussed earlier, if you only click the Save button, then the data only gets saved to disk.

Note: If you have a LOADFIXTURE command in your part program and want to edit the fixture, place your cursor on the LOADFIXTURE command, press F9 on your keyboard and the Create / Modify Fixture dialog box will come up with your fixture definition displayed.


To Delete a Fixture Definition

This procedure deletes a fixture definition from the fixture server.

  1. Select the Display Menu Roadmap Insert | Hardware Definition | Fixture menu option to access the Create/Modify Fixture dialog box.

  2. Select the Fixture Points tab.

  3. Select the fixture from the Available Fixtures list.

  4. Click the Delete button from the Fixture area.


To Verify a Fixture Definition

This procedure determines whether or not a column can be set at the selected fixture point. This checks the location of that point, making sure a column placed there fits within the defined machine volume and that no collisions occur with the part or with other fixtures.

  1. Select the Display Menu Roadmap Insert | Hardware Definition | Fixture menu option to access the Create/Modify Fixture dialog box.

  2. Select the Fixture Points tab.

  3. Select the fixture from the Available Fixtures list.

  4. Select a fixture point from the list.

  5. Click the Verify button. PC-DMIS displays a message box stating the result of the verification.


To Position Fixture Elements on the Part

Before you're able to position fixture elements on the part, PC-DMIS requires that you completely define the machine before you use fixturing.

Follow the steps below to position a column at a selected fixture point:

  1. Make sure you have at least one fixture point defined in the fixture points tab.

  2. Select the fixture point.

  3. Click the Verify button. This checks the location of that point, making sure a column placed there fits within the defined machine volume and that no collisions occur. A message box indicating success or failure appears. If a failure occurs, see the "Troubleshooting Column Placement" topic.

  4. Click the Apply button. PC-DMIS associates the column with the fixture point and display it in the Graphics Display window. At this point PC-DMIS also inserts a LOADFIXTURE command into the Edit window, such as the following:

LOADFIXTURE/demo.FXT,LOAD,YES,T1A0B0,0.05,5

  5. Repeat this procedure for each fixture point where you want to place a column.


Graphics Display for Flexible Fixturing

The Graphics Categories toolbar item from the Graphics Modes toolbar allows you to select the options that you want to be displayed in the Graphics Display Window. Options are available to hide or show CAD Models, Probes, Machines, Tool Changers and Fixtures. This allows you to see the relation of each graphic element and to ensure proper placement of your Flexible Fixturing system.

More:

Examples of Positioned Fixtures


Examples of Positioned Fixtures

Below is a graphical example of five fixture columns attached to a car part by surface point feature types as specified in the Create/Modify Fixture dialog box. The Graphics Display Window displays the graphical elements that have been selected.

Graphical Example of Five Flexible Fixtures Holding a Car Part

Below is an example of a scenario where the Machine, Fixtures, Probes and CAD model is displayed in the Graphics Display Window. Any of these elements can be shown or hidden by selecting the option for that element type.

Graphical example of Scenario with Fixtures, CMM, CAD, & Probe


Troubleshooting Column Placement

Collisions:

Problem: PC-DMIS can't place the column specified because there is a collision with another column in the same fixture. If you continue past the warning message, you will be able to graphically see which columns are colliding on the main PC-DMIS graphics window.

Resolution: You will have to change the location at which the fixture is held or change the configuration of the module so that the column is no longer in a collision situation.

Out of Machine Volume:

Problem: The fixture will be placed outside of the usable fixture volume. Generally this means that if the fixture were executed, a portion of it would be placed off of the CMM plate generating an error during execution or damaging one of the columns or machine.

Resolution: Change the offsets associated with this fixture. To do this, go to the Machine Orientation area of the Fixture Points tab and change the X offset and/or Y offset.


Flexible Fixturing Setup in PC-DMIS

The Fixturing Setup dialog box ( Display Menu Roadmap Edit | Preferences | Fixturing or F12) allows you to define certain PC-DMIS specific parameters for your Flexible Fixturing system.

The initial setup of your Flexible Fixturing system is done through the Fixture Server Interface program (see “Fixturing System Setup” section for more information on initial setup). To add or remove components of your Flexible Fixturing system, you must use the Fixture Server Interface program. The Fixturing Setup dialog box allows you to edit the parameters for components that were previously created.

Using the tabs available on this dialog box, you can:

  • Specify the Volume Definition for each machine arm (Volume Definition tab).

  • Define the location of the arm and arm gripper (Mount Points tab).

  • Change your fixturing display options (Display Options tab)

  • Define the Hole pattern for mounting columns (Hole Pattern Tab)

More:

Fixturing Setup: Volume Definition

Fixturing Setup: Mount Points

Fixturing Setup: Display Options

Fixturing Setup: Hole Pattern

Calibrating Fixture Columns


Fixturing Setup: Volume Definition

Fixturing Setup dialog box - Volume Definition tab

The Volume Definition tab is used to define the measuring volume for each arm that is to be used with your Flexible Fixturing system. The volume can be defined by moving the machine to the min and max positions for the X & Y axes and clicking Read Position to collect the XMax, XMin, YMax & YMin values. You can also manually edit the values in their boxes.

The Z Plate value represents the height of the base plate to which the fixturing components are attached. Click the Take Hit button and take a hit from the base plate. Clicking the Take Hit button will open the Execution Mode Options dialog box.

Execution Mode Options dialog box

Follow the instructions to take a hit on the Z Plate. This will add the Z Plate value to the box. You can also manually edit this value.


Fixturing Setup: Mount Points

Fixturing Setup dialog box - Mount Points tab

The Mount Points tab is used to set up the clearance position which is to be reached upon completion of the fixturing process. Typically, the arm retracts up from the fixturing.


Fixturing Setup: Display Options

Fixturing Setup dialog box – Display Options tab

The Display Options tab allows you to display fixture information directly inside the Graphics Display window. This allows that the fixture information also gets reported in text boxes similar to the Dimension Info text boxes already used in PC-DMIS, if you use the Graphics Display window in any graphical reporting

You can customize what is displayed in these text boxes by selecting the appropriate check boxes in the Info Box Setup area.

More:

To Customize the Display of the Fixturing Info Boxes


To Customize the Display of the Fixturing Info Boxes

  1. Access the Display Options tab in the Fixturing Setup dialog box.

  2. Select the Info Boxes check box from the Info Box Setup area. The other check boxes become available for selection.

  3. Select any of the other check boxes in the area.

  • The Location check box shows or hides the display of the XYZ coordinates of the fixture point associated with that column.

  • The Vector check box shows or hides the contact vector for that fixture point.

  • The Column Type check box shows or hides the type of column chosen for use at that fixture point.

  • The Module Name check box shows or hides the name of the module that should be used with that column.

  • The Module Direction check box shows or hides the orientation of the module on the column.

  4. Select the machine options from the Machine area.

  • The Machine Volume check box shows or hides information about the machine volume as determined by the Volume Definition tab

  • The Exclusion Zones check box shows or hides information about the Exclusion Zones. Fixturing Exclusion Zones are volumes created from the placement of fixtures. These volumes are spaces on the machine that should not be occupied twice once the have been placed. The exclusion zone is a rectangle whose borders are the min and max X and Y values of the columns, plus a delta of a few mm for safety purposes.

  • The Passing Lanes check box shows or hides information about the Passing Lanes. This box becomes enabled when the DCC option is selected from your Portlock.

  • The Hole Pattern check box shows or hides information about the Hole Pattern. This box becomes enabled when the 5 Unique option is selected from your Portlock.

  5. Click Apply or OK.

The parameters relevant to DCC systems are unavailable if a manual system has been defined (as shown in the Display Options tab graphic).


Fixturing Setup: Hole Pattern

Fixturing Setup dialog box - Hole Pattern Setup tab

Properties for the hole pattern are specified for Manual (Mechanical) Systems. The hole pattern refers to the threaded holes on the table to which the Column is attached. Column can shift within a defined range on the slide that is attached to the column base. The column is clamped to an insert that is screwed into one of the threaded holes in the Hole Pattern. You can have up to two regular patterns.

To define the hole patterns:

  1. Specify the X Offset and Y Offset values to define the center of the first hole in the pattern. This can be done via calibration/measurement.

  2. Define the Delta X and Delta Y values which represent the Y and Y pitch.

  3. Enter the amount of rows in the X direction (#X) and the Y direction (#Y).

  4. Click OK or Apply to accept the changes that have been made.

Or…

  1. Specify the Sphere Diameter in the Automatic Hole Pattern Setup area. This provides the diameter of the sphere that your calibrated tip measures as part of the Auto Setup process. The sphere is attached to the leading hole of the pattern. Measuring the center of the sphere establishes the XY position of the leading hole.

  2. Click the Auto Setup… button to access the guided procedure to calibrate the hole pattern(s).

  3. Follow the guided procedure is outlined in the sequence of screen shots (HolepatternSetup1 through HolePatternSetup5).


Calibrating Fixture Components in PC-DMIS

The Calibrate Columns tab of the Fixturing Setup dialog box is accessed through the Display Menu Roadmap Operation | Calibrate/Edit | Fixturing... menu option.

The Calibrate Columns tab allows you to calibrate fixture components. The calibration process allows you to establish the location of the various items that are part of your fixturing system

Note: In PC-DMIS version 4.0, only gripper calibration is available.

Gripper calibration is similar to probe calibration, but results in finding the center of the volume inside of the gripper where the column sphere is housed.

Note: This tab is accessed separately from the other tabs that are part of the Fixturing Setup dialog box

More:

Gripper Calibration


Gripper Calibration - Manual Procedure

Current Help System: PC-DMIS Fixturing (View Core Help)

Gripper Calibration

To calibrate the gripper, access the Calibrate Columns tab on the Fixturing Setup dialog box.

Fixturing Setup dialog box - Calibrate Columns tab

Follow this procedure to calibrate your grippers:

  1. Select the probe file from the Probe list in the Probe Information area.

  2. Click the Calibrate button. The machine first loads the correct tip, then moves to the gripper mount position.

  3. The calibration process begins with a prompt for you to load the gripper. Mount the gripper on the machine. Click OK to proceed.

  4. The calibration process continues with a prompt for you to load the column on the gripper. Manually load the column onto the gripper. Click OK to proceed.

  5. The machine moves again back to the gripper mount position.

  6. The calibration process continues with a prompt for you to unmount the gripper. Manually unmount the gripper and click OK to proceed.

  7. The probe changes to the selected measure tip and PC-DMIS asks you to take a single hit on the column sphere. Take a single hit on the column sphere.

  8. PC-DMIS will automatically measure the sphere in DCC mode and gripper calibration will be complete.


Fixturing Setup for Dual Arm Systems

This section describes the process of setting up a Dual Arm system for use with Flexible Fixturing. For systems with more than 2 arms the process for setting up each additional arm is similar to that of a Dual Arm system. Setup for Dual Arm systems occurs at the Master computer. See the “Fixturing System Setup” topic for additional information on Fixture setup.

Select System - Dual Arm

Select the Flexible Fixturing system to be configured from the list box in the Select System dialog box. Specify the Number of Arms and the Machine Type. Two arms should be specified for the Master/Slave mode of a Dual Arm system. Click OK to accept the changes that have been made. The Fixturing System Setup dialog box is displayed with the changes reflected.

Fixturing System Setup - Dual Arm

There are two locations that for setting up parameters in a Dual Arm system:

  1. Click on Properties in the Fixturing System Setup dialog box and edit the Properties for both Arm 1 and Arm 2.

  2. Open the Fixturing Setup dialog box in PC-DMIS and make the appropriate changes on each of the tabs.

More:

Setup Dual Arms with Fixturing System Setup Properties

Setup Dual Arms with Fixturing Setup Dialog Box


Setup Dual Arms with Fixturing System Setup Properties

This method can be used when all of the data has already been measured for the gripper offsets, other setup items through a number of read positions and the Z plate hit. Click the Properties button to open the Fixture Properties dialog box.

Properties for both Arm 1 and Arm 2 need to be defined in a dual arm system. The Z plate value is initially set to 0.0 and must be evaluated by taking a hit as described in the “Fixturing Setup: Volume Definition “ section.

Approach in negative Y

When editing the properties for Arm 2, you must check/uncheck Approach in negative Y check box, according to the Axes convention for the Dual Arm system that you are using. For example, for standard systems such as the Vento, the box is checked when setting up Arm 2 parameters.


Setup Dual Arms with Fixturing Setup Dialog Box

This method should be used when your machine is available to read positions to collect measured data. Information for the Volume Definition and Mount Points tabs are discussed here. See the “Fixturing Setup: Display Options” section for information about the Display Options tab.

Note: The Display options tab is the same as it would be for a single arm configuration.

More:

Volume Definition Tab

Mount Points Tab


Volume Definition Tab

Volume Definition - Dual Arm Setup

Measure all data (Read Position) For Arm 1 and Arm 2. Click Take Hit to measure the height of the base plate to which the fixturing components are attached. Read Position for Arm 2 should be done from the Master computer related to Arm1 only. When reading an Arm 2 position, remember to switch to Arm 2 (green icon on Active-Arms/Multiple Arm Toolbar).


Mount Points Tab

Mount Points - Dual Arm Setup

The values for both arms are the same. The Read Position command should only be done from the Master computer. Click Read Position for Arm 1 and Arm 2 to collect the values for the XYZ position. Click Read Position for Arm 1 Gripper and Arm 2 Gripper to collect the values for XYZ position.


Auto Feature type

Current Help System: PC-DMIS Fixturing (View Core Help)

If you don't specify a feature type, PC-DMIS assumes you will be selecting surface points


Module

Current Help System: PC-DMIS Fixturing (View Core Help)

If you do not select a module from the Points area, PC-DMIS assumes that the part will be placed directly on the column sphere.